@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

@import url('./login.css');
@import url('./telaPrincipal.css');

:root{
    --cor-primaria: #660000;
    --cor-secundaria: #fff;
    --cor-fundo: #d8d8d8;
    --cor-input: #fcfcfc;
    --cor-botao-hover: #a70303;
    --cor-linha-tabela: #adadad;
    --cor-terciaria: #c70101;
    --font-titulo: "Lato", sans-serif;
    --font-texto: "Montserrat", sans-serif;
}

* {
    padding: 0;
    margin: 0;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

header {
    display: flex;
    background-color: var(--cor-primaria);
    color: var(--cor-secundaria);
    align-items: center;
    justify-content: space-between;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    width: 100%;
    height: 60px;
}

.titulo {
    padding: 0 15px;
    font-family: var(--font-titulo);
    font-weight: 900;
    font-size: 22px;
}

.logo {
    width: 80px;
    height: 70px;
}

footer {
    position: relative;
    background-color: var(--cor-primaria); /* Ajuste de cor do footer */
    box-sizing: border-box;
    margin-top: auto;
}

.rodape{
    width: 100%;
    height: 40px;
    background-color: var(--cor-primaria);
    color: var(--cor-secundaria);
    text-align: center;
    padding: 15px;
    font-family: var(--font-texto);
    font-weight: 600;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

/*Tela de carregamento*/

.loading-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    z-index: 9999;
    color: var(--cor-secundaria);
    font-family: var(--font-texto);
    font-size: 28px;
}

.loading-logo {
    width: 100px; /* Ajuste o tamanho da logo */
    height: 100px;
    animation: spin 4s alternate-reverse infinite; /* Faz a logo girar */
    margin-bottom: 20px;
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}

.loading-overlay p {
    margin: 0;
    color: #ffffff;
    font-size: 18px;
    text-align: center;
}